/*
 * Copyright 2007 Sascha Weinreuter
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.intellij.plugins.xsltDebugger.rt.engine.remote;

import org.intellij.plugins.xsltDebugger.rt.engine.Breakpoint;

import javax.xml.transform.TransformerConfigurationException;
import java.io.File;
import java.io.IOException;
import java.rmi.NotBoundException;
import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: sweinreuter
 * Date: 24.05.2007
 */
public class Main {
    public static void main(String[] args) throws TransformerConfigurationException, IOException, NotBoundException {
        final File f = new File("test.xsl");
        final File x = new File("test.xml");
        final DebuggerServer server = DebuggerServer.create(f, x);

        final RemoteDebuggerClient client = new RemoteDebuggerClient(DebuggerServer.PORT);
        client.getBreakpointManager().setBreakpoint(f, 13);
        final List<Breakpoint> breakpoints = client.getBreakpointManager().getBreakpoints();
        System.out.println("breakpoints = " + breakpoints);

        client.start();
        client.waitForDebuggee();

        client.stop(false);
        System.exit(0);
    }
}
